let config = require('./config/config.js')

App({
  data: {
  },
  onLaunch: function (options) {
    var that = this;
    that.globalData.sceneAddress = options.scene;
    // 登录
    wx.login({
      success: res => {
        console.log(res)
        wx.request({
          url: config.api.login,
          data: {
            appId: config.weapp.AppId,
            code: res.code,
            sceneAddress: that.globalData.sceneAddress,
          },
          method: 'POST',
          success: (result)=>{
            console.log(result)
            that.globalData.token = result.data.data.token;
            console.log(that.globalData.token)
            that.getUserInfo()
            that.getLocation()
          }
        })
      }
    })
    
    // setTimeout(() => {
    //   this.globalData.market={
    //     name:"陕西大悦城"
    //   }
    // }, 1000);
  },
  /**
   * 获取地址位置信息
   */
  getLocation: function() {
    wx.getLocation({
      type: 'wgs84',
      success: function(res) {
        console.log("getLocation", res);
      },
      fail: error => {
        console.log(error);
      }
    })
  },
  /**
   * 获取用户信息
   */
  getUserInfo: function() {
    // 获取用户信息
    wx.getSetting({
      success: res => {
        if (res.authSetting['scope.userInfo']) {
          // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
          wx.getUserInfo({
            success: res => {
              // 可以将 res 发送给后台解码出 unionId
              this.globalData.userInfo = res.userInfo

              // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
              // 所以此处加入 callback 以防止这种情况
              if (this.userInfoReadyCallback) {
                this.userInfoReadyCallback(res)
              }
            }
          })
        }
      }
    })
  },
  globalData: {
    // token
    token: null,
    // 渠道
    sceneAddress: null,
    // 二维码参数
    scene: null,
    // 当前商场信息
    market: {
      name: "陕西大悦城"
    }
  }
})