const Promise = require('../utils/es6-promise.min').Promise
let config = require("../config/config.js");
var app = getApp();
const func = {
  wxLogin: function (scene) {
    return new Promise((resolve, reject) => {
      wx.login({
        success: function (res) {
          resolve(res)
        },
        fail: function (err) {
          reject(err)
        },
        complete: function (res) {
          //console.log("wxLogin complete:" + res)
        }
      })
    })
  },
  /**
   * 授权后获取用户的昵称,unionId等信息
   */
  getUserInfo: function (encryptedData, iv) {
    console.log(app.globalData.openId)
    return new Promise((resolve, reject) => {
      wx.request({
        url: config.api.getUserInfo,
        header: {
          "content-type": "application/json;charset=UTF-8",
          "token": app.globalData.token
        },
        data: {
          encryptedData: encryptedData,
          iv: iv,
        },
        method: "POST",
        success: function (res) {
          resolve(res)
        },
        fail: function (err) {
          reject(err)
        },
        complete: function (res) {
          //console.log("getUserInfo complete:" + res)
        }
      })
    })
  },
  /**
   * 授权后获取用户的手机号
   */
  getUserPhone: function (encryptedData, iv) {
    return new Promise((resolve, reject) => {
      wx.request({
        url: config.api.getUserPhone,
        data: {
          encryptedData: encryptedData,
          iv: iv,
        },
        header: {
          "content-type": "application/json;charset=UTF-8",
          "token": app.globalData.token
        },
        method: "POST",
        success: function (res) {
          resolve(res)
        },
        fail: function (err) {
          reject(err)
        },
        complete: function (res) {
          //console.log("getUserInfo complete:" + res)
        }
      })
    })
  },
  /**
   * 优惠券查询
   */
  getCouponList: function (pageNum, pageSize) {
    return new Promise((resolve, reject) => {
      wx.request({
        url: config.api.couponList,
        header: {
          "content-type": "application/json;charset=UTF-8",
          "token": app.globalData.token
        },
        method: "Get",
        data: {
          pageNum: pageNum,
          pageSize: pageSize
        },
        success: function (res) {
          resolve(res)
        },
        fail: function (err) {
          reject(err)
        },
        complete: function (res) {
          console.log(res)
        }
      })
    })
  },
  /**
   * 优惠券详情
   */
  getCouponDetail: function (couponId) {
    return new Promise((resolve, reject) => {
      wx.request({
        url: config.api.couponDetail,
        header: {
          "content-type": "application/json;charset=UTF-8",
          "token": app.globalData.token
        },
        method: "Get",
        data: {
          id: couponId
        },
        success: function (res) {
          resolve(res)
        },
        fail: function (err) {
          reject(err)
        },
        complete: function (res) {
          console.log(res)
        }
      })
    })
  },
  /**
   * 订单下单
   */
  orderSave: function (couponId) {
    return new Promise((resolve, reject) => {
      wx.request({
        url: config.api.orderSave,
        header: {
          'token': app.globalData.token
        },
        data: {
          couponId: couponId,
          token: app.globalData.token
        },
        method: "POST",
        success: function (res) {
          resolve(res)
        },
        fail: function (err) {
          reject(err)
        },
        complete: function (res) {
          console.log(res)
        }
      })
    })
  },
  /**
   * 支付订单
   */
  payOrderCreate: function (orderId) {
    return new Promise((resolve, reject) => {
      wx.request({
        url: config.api.payOrderCreate,
        header: {
          "token": app.globalData.token
        },
        data: {
          orderId: orderId,
          token: app.globalData.token
        },
        method: "POST",
        success: function (res) {
          resolve(res)
        },
        fail: function (err) {
          reject(err)
        },
        complete: function (res) {
          console.log(res)
        }
      })
    })
  },
  /**
   * 支付订单更新
   */
  payOrderUpdate: function (orderId, payOrderId, status, reason) {
    return new Promise((resolve, reject) => {
      wx.request({
        url: config.api.payOrderUpdate,
        header: {
          "token": app.globalData.token
        },
        data: {
          payOrderId: payOrderId,
          orderId: orderId,
          status: status,
          reason: reason
        },
        method: "POST",
        success: function (res) {
          resolve(res)
        },
        fail: function (err) {
          reject(err)
        },
        complete: function (res) {
          console.log(res)
        }
      })
    })
  },
}
module.exports = func;