let Common = require('../../../common/common.js')
var app = getApp()
Page({
  data: {
    list:{},
    couponId:null
  },
  onLoad(e) {
    console.log(e.id)
    Common.getCouponDetail(e.id)
    .then(res =>{
      console.log(res)
      this.setData({
        list: res.data.data,
        couponId: e.id
      })
    })
  },
  orderfunc(){
    wx.showLoading({
        title: '加载中...',
    })
    console.log(this.data.couponId)
    Common.orderSave(''+this.data.couponId)
    .then(res => {
      wx.hideLoading();
      console.log(res)
      if (res.data.code == 200) {
          return res;
        } else {
          wx.showToast({
            title: res.data.message,
            duration: 3000
          })
        }
      })
      .then(res => {
        orderId = '' + res.data.data.id;
        return Common.payOrderCreate(orderId)
      })
        .then(res =>{
        console.log(res)
        payOrderId = res.data.data.payOrderId;
        if (res.data.code == 200) {
          wx.requestPayment({
            timeStamp: res.data.data.timeStamp,
            nonceStr: res.data.data.nonceStr,
            package: res.data.data.package,
            signType: 'MD5',
            paySign: res.data.data.paySign,
            'success': function (res) {
              Common.payOrderUpdate(orderId, payOrderId, 1); // 支付成功
              console.log(res);
              console.log('支付成功');
              wx.showToast({
                title: '购买成功',
                duration: 2500
              })
              wx.navigateBack({
                delta: 2
              })
            },
            'fail': function (res) {
              Common.payOrderUpdate(orderId, payOrderId, 2); // 支付失败
              console.log(res)
              console.log('支付失败');
              return;
            },
            'complete': function (res) {
              console.log(res);
              console.log('支付完成');
              var url = that.data.url;
              console.log('get url', url)
              if (res.errMsg == 'requestPayment:ok') {
                wx.showModal({
                  title: '提示',
                  content: '支付成功'
                });
                if (url) {
                  setTimeout(function () {
                    wx.redirectTo({
                      url: '/pages' + url
                    });
                  }, 2000)
                } else {
                  setTimeout(() => {
                    wx.navigateBack()
                  }, 2000)
                }
              } else {
                wx.showModal({
                  title: '错误提示',
                  content: res.errMsg 
                });
              }
              return;
            }
          })
        }
      })
  }
})